Skip to main content
GET
/
api
/
v0
/
repositories
/
all-labels
List all labels across repositories the user has access to.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/all-labels
import requests

url = "https://api.example.com/api/v0/repositories/all-labels"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/repositories/all-labels', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "labels": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "isSystem": true,
      "reviewerRead": true,
      "reviewerUse": true,
      "description": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ]
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}

Query Parameters

repositories
string<uuid>[] | null

Limit the labels to specific repositories.

role
null | enum<string>

Limit the labels to repositories in which the user is a certain role. Role of a user in the context of a repository.

Available options:
client,
reviewer,
judge,
triager,
admin

Response

List of labels

Label on a finding.

labels
object[]
required